package com.bocloud.cmp.model;

import java.util.List;

public class LBAddBean {
    private LoadBalancerModel balancer;
    private LbListenerModel listener;
    private LbPoolModel pool;
    private HealthMonitorModel monitor;
    private List<LbMemberModel> members;

    /**
     * @return the balancer
     */
    public LoadBalancerModel getBalancer() {
        return balancer;
    }

    /**
     * @param balancer the balancer to set
     */
    public void setBalancer(LoadBalancerModel balancer) {
        this.balancer = balancer;
    }

    /**
     * @return the listener
     */
    public LbListenerModel getListener() {
        return listener;
    }

    /**
     * @param listener the listener to set
     */
    public void setListener(LbListenerModel listener) {
        this.listener = listener;
    }

    /**
     * @return the pool
     */
    public LbPoolModel getPool() {
        return pool;
    }

    /**
     * @param pool the pool to set
     */
    public void setPool(LbPoolModel pool) {
        this.pool = pool;
    }

    /**
     * @return the monitor
     */
    public HealthMonitorModel getMonitor() {
        return monitor;
    }

    /**
     * @param monitor the monitor to set
     */
    public void setMonitor(HealthMonitorModel monitor) {
        this.monitor = monitor;
    }

    /**
     * @return the members
     */
    public List<LbMemberModel> getMembers() {
        return members;
    }

    /**
     * @param members the members to set
     */
    public void setMembers(List<LbMemberModel> members) {
        this.members = members;
    }
}
